curl --request POST \
--url https://api.connect.fastenhealth.com/v1/bridge/vault_connection/revoke \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "dogbeaker@aol.com"
}
'{
"success": true,
"data": {
"request_id": "f5d19ee8-6d53-4d17-b7f8-368d1fa41506",
"revoked": [
"vault_conn_12345"
]
}
}Reset Synthetic Patient
Run this command to reset a TEFCA synthetic test patientโs connections.
TEFCA This helper endpoint is only available while using test API credentials and is designed for clearing your TEFCA IAS sandbox before running another end-to-end scenario.
Authenticate with HTTP Basic auth using your organization public id and private key that are configured for Test API Mode. Requests made with live credentials will be rejected.
The request body must include an email value for one of the test synthetic patients documented in the TEFCA IAS Developer Guide. All current connections for that synthetic patient are revoked so you can start a fresh flow.
curl --request POST \
--url https://api.connect.fastenhealth.com/v1/bridge/vault_connection/revoke \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "dogbeaker@aol.com"
}
'{
"success": true,
"data": {
"request_id": "f5d19ee8-6d53-4d17-b7f8-368d1fa41506",
"revoked": [
"vault_conn_12345"
]
}
}Authorizations
Basic Authentication, containing API Public Id and Private Key generated from the Fasten Connect Portal. Do not expose these keys in the browser.
Body
Identify the synthetic patient and the vault connections that should be revoked.
Email address for one of the synthetic TEFCA IAS test patients listed in the TEFCA IAS Developer Guide.
"dogbeaker@aol.com"

